Package org.kapott.hbci.GV_Result

## Class HBCIJobResultImpl

- java.lang.Object
- - org.kapott.hbci.GV_Result.HBCIJobResultImpl

All Implemented Interfaces:
  `java.io.Serializable`, `HBCIJobResult`

Direct Known Subclasses:
  `AbstractGVRLastSEPA`, `GVRAccInfo`, `GVRCardList`, `GVRDauerEdit`, `GVRDauerList`, `GVRDauerNew`, `GVRFestCondList`, `GVRFestList`, `GVRInfoList`, `GVRInfoOrder`, `GVRInstUebSEPA`, `GVRKontoauszug`, `GVRKUms`, `GVRSaldoReq`, `GVRStatus`, `GVRTANList`, `GVRTANMediaList`, `GVRTermUeb`, `GVRTermUebEdit`, `GVRTermUebList`, `GVRWPDepotList`, `GVRWPDepotUms`, `GVRWPStammData`

    public class HBCIJobResultImpl
    extends java.lang.Object
    implements java.io.Serializable, HBCIJobResult

See Also:
  Serialized Form

### Field Summary

Fields
`HBCIStatus` `globStatus`
`HBCIStatus` `jobStatus`

### Constructor Summary

Constructors
`HBCIJobResultImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDialogId()` Gibt die Dialog-ID zurück, unter der der dazugehörige Job ausgeführt wurde.
`HBCIStatus` `getGlobStatus()` Gibt ein Status-Objekt zurück, welches Status-Informationen zur HBCI-Nachricht selbst enthält, in der die Job-Auftragsdaten übermittelt wurden.
`java.lang.String` `getJobId()` Gibt einen Job-Identifikationsstring zurück, mit dessen Hilfe sich der Job für das `Statusprotokoll` identifizieren lässt
`HBCIStatus` `getJobStatus()` Gibt ein Status-Objekt zurück, welches Status-Informationen über das Auftragssegment enthält, in dem die Job-Auftragsdaten übermittelt wurden.
`java.lang.String` `getMsgNum()` Gibt die Nachrichtennummer innerhalb des Dialoges zurück, in dem der dazugehörige Job ausgeführt wurde.
`HBCIJob` `getParentJob()`
`HBCIPassport` `getPassport()` Gibt das Passport-Objekt zurück, für welches der Job erzeugt wurde.
`java.util.Properties` `getResultData()` Gibt die Job-Antwortdaten im Rohformat zurück.
`int` `getRetNumber()` Gibt zurück, wieviele HBCI-Statuscode (siehe `HBCIRetVal`) in den Statusdaten zu diesem Job gespeichert sind.
`HBCIRetVal` `getRetVal​(int idx)` Gibt einen bestimmten HBCI-Statuscode aus den Job-Statusinformationen zurück.
`java.lang.String` `getSegNum()` Gibt die Segmentnummer des Segmentes innerhalb der Auftragsnachricht zurück, in welchem die Job-Daten übertragen wurden.
`boolean` `isOK()` Gibt an, ob der Job erfolgreich ausgeführt wurde oder nicht.
`void` `setParentJob​(HBCIJobImpl parentJob)`
`void` `storeResult​(java.lang.String key, java.lang.String value)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### jobStatus

    public HBCIStatus jobStatus

#### globStatus

    public HBCIStatus globStatus

### Constructor Detail

#### HBCIJobResultImpl

    public HBCIJobResultImpl()

### Method Detail

#### setParentJob

    public void setParentJob​(HBCIJobImpl parentJob)

#### storeResult

    public void storeResult​(java.lang.String key,
                            java.lang.String value)

#### getRetNumber

    public int getRetNumber()

Description copied from interface: `HBCIJobResult`
Gibt zurück, wieviele HBCI-Statuscode (siehe `HBCIRetVal`) in den Statusdaten zu diesem Job gespeichert sind. Dabei werden die globalen Statusinformationen (die sich auf die gesamte Nachricht beziehen und nicht nur auf ein Segment dieses Jobs) nicht mitgezählt

Specified by:
  `getRetNumber` in interface `HBCIJobResult`
Returns:
  Anzahl der HBCI-Statuscodes in den Job-Statusinformationen

#### getRetVal

    public HBCIRetVal getRetVal​(int idx)

Description copied from interface: `HBCIJobResult`
Gibt einen bestimmten HBCI-Statuscode aus den Job-Statusinformationen zurück. Die Anzahl der hier zur Verfügung stehenden Rückgabewerte kann mit `HBCIJobResult.getRetNumber()` ermittelt werden.

Specified by:
  `getRetVal` in interface `HBCIJobResult`
Parameters:
  `idx` - Indenummer des HBCI-Statuscodes (von 0 bis Anzahl-1)
Returns:
  einen HBCI-Statuscode

#### isOK

    public boolean isOK()

Description copied from interface: `HBCIJobResult`

Gibt an, ob der Job erfolgreich ausgeführt wurde oder nicht.

Bei `true` ist der Job mit Sicherheit erfolgreich ausgeführt worden. Bei `false` kann es sein, dass der Job trotzdem ausgeführt wurde und nur die Antwortnachricht vom HBCI-Server nicht empfangen werden konnte oder fehlerhaft war. In diesem Fall sollte also die Fehlermeldung aus `jobStatus.getErrorString()` bzw. `globStatus.getErrorString()` genau ausgewertet werden.

Specified by:
  `isOK` in interface `HBCIJobResult`
Returns:
  `true`, wenn der Auftrag mit Sicherheit erfolgreich eingereicht/ausgeführt wurde; sonst `false`

#### getDialogId

    public java.lang.String getDialogId()

Description copied from interface: `HBCIJobResult`
Gibt die Dialog-ID zurück, unter der der dazugehörige Job ausgeführt wurde. Wird hauptsächlich intern verwendet. Zur Bereitstellung einer eindeutigen ID für den Job siehe `HBCIJobResult.getJobId()`.

Specified by:
  `getDialogId` in interface `HBCIJobResult`
Returns:
  Dialog-ID des Dialoges, in welchem der Job ausgeführt wurde

#### getMsgNum

    public java.lang.String getMsgNum()

Description copied from interface: `HBCIJobResult`
Gibt die Nachrichtennummer innerhalb des Dialoges zurück, in dem der dazugehörige Job ausgeführt wurde. Wird hauptsächlich intern verwendet. Zur Bereitstellung einer eindeutigen ID für den Job siehe `HBCIJobResult.getJobId()`.

Specified by:
  `getMsgNum` in interface `HBCIJobResult`
Returns:
  Nachrichtennummer der Nachricht, in welcher der Job ausgeführt wurde

#### getSegNum

    public java.lang.String getSegNum()

Description copied from interface: `HBCIJobResult`
Gibt die Segmentnummer des Segmentes innerhalb der Auftragsnachricht zurück, in welchem die Job-Daten übertragen wurden. Wird hauptsächlich intern verwendet. Zur Bereitstellung einer eindeutigen ID für den Job siehe `HBCIJobResult.getJobId()`.

Specified by:
  `getSegNum` in interface `HBCIJobResult`
Returns:
  Segmentnummer des Auftragssegmentes

#### getJobId

    public java.lang.String getJobId()

Description copied from interface: `HBCIJobResult`
Gibt einen Job-Identifikationsstring zurück, mit dessen Hilfe sich der Job für das `Statusprotokoll` identifizieren lässt

Specified by:
  `getJobId` in interface `HBCIJobResult`
Returns:
  die Job-Identifikationsnummer für den dazugehörigen Auftrag

#### getResultData

    public java.util.Properties getResultData()

Description copied from interface: `HBCIJobResult`
Gibt die Job-Antwortdaten im Rohformat zurück. Für die Keys des Properties-Objektes gibt es zwei Ausprägungen:

- mit Prefix `content.` bzw. `content_NUM.`:
  Dieses Key-Value-Paar stellt ein Datenelement aus der Antwortnachricht dar. Der Rest des Keys (nach dem Prefix) gibt dabei den Lowlevel-Namen des Ergebnisdatenelementes an. Eine Liste aller möglichen Lowlevel-Namen kann zur Laufzeit mit `HBCIHandler.getLowlevelJobResultNames(String)` oder mit `HBCIJob.getJobResultNames()` ermittelt werden.

- mit Prefix `basic`:
  Hier werden jobinterne Daten gespeichert:

  - `basic.dialogid` enthält die Dialog-ID, mit der der Job ausgeführt wurde
  - `basic.msgnum` enthält die Nachrichtennummer innerhalb des Dialoges, in dem der Job ausgeführt wurde
  - `basic.segnum` enthält die Segmentnummer innerhalb der Nachricht, in der der Job ausgeführt wurde

  Diese Daten sollten niemals manuell ausgewertet werden, da es diese `basic`-Daten in Zukunft nicht mehr geben wird!

Specified by:
  `getResultData` in interface `HBCIJobResult`
Returns:
  die Antwortdaten im Rohformat

#### getGlobStatus

    public HBCIStatus getGlobStatus()

Description copied from interface: `HBCIJobResult`
Gibt ein Status-Objekt zurück, welches Status-Informationen zur HBCI-Nachricht selbst enthält, in der die Job-Auftragsdaten übermittelt wurden.

Specified by:
  `getGlobStatus` in interface `HBCIJobResult`
Returns:
  Statusinformationen zur Auftragsnachricht

#### getJobStatus

    public HBCIStatus getJobStatus()

Description copied from interface: `HBCIJobResult`
Gibt ein Status-Objekt zurück, welches Status-Informationen über das Auftragssegment enthält, in dem die Job-Auftragsdaten übermittelt wurden.

Specified by:
  `getJobStatus` in interface `HBCIJobResult`
Returns:
  Status-Informationen, die genau diesen Job betreffen

#### getPassport

    public HBCIPassport getPassport()

Description copied from interface: `HBCIJobResult`
Gibt das Passport-Objekt zurück, für welches der Job erzeugt wurde.

Specified by:
  `getPassport` in interface `HBCIJobResult`
Returns:
  Passport-Objekt

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getParentJob

    public HBCIJob getParentJob()